Package com.complexible.stardog.jena

# Class StardogModelAssembler

java.lang.Object
org.apache.jena.assembler.assemblers.AssemblerBase
org.apache.jena.assembler.assemblers.ModelAssembler
com.complexible.stardog.jena.StardogModelAssembler

All Implemented Interfaces:
  `Assembler`

public class StardogModelAssembler extends ModelAssembler
An assembler implementation to build a Stardog model from an assembler description in RDF. The assembler description provides the information about a Stardog connection that will be used to back the Jena model. The assembler vocabulary mimics the functions in `ConnectionConfiguration` to specify the details about the connection. An example assembler description looks like as follows: `&#64;prefix ja: &lt;http://jena.hpl.hp.com/2005/11/Assembler#&gt; . &#64;prefix stardog: &lt;http://stardog.com/#&gt . &#64;prefix : &lt;http://example.com/#&gt . stardog:Database ja:assembler "com.complexible.stardog.jena.StardogModelAssembler" . [] a stardog:Database ; stardog:url &lt;http://localhost:5820/&gt ; stardog:name "myDB" ; stardog:username "user" ; stardog:password "pass" ; stardog:reasoning true .`

The reasoning flag is optional in the `ConnectionConfiguration`. If omitted the connection will be a plain Stardog connection without any reasoning.

Version:
  4.0
Author:
  Evren Sirin

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `StardogModelAssembler.Vocabulary`
  Stardog assembler vocabulary.

- ## Field Summary

  ### Fields inherited from interface org.apache.jena.assembler.Assembler

  `content, defaultModel, documentManager, fileManager, general, infModel, locationMapper, memoryModel, modelSource, ontModel, ontModelSpec, prefixMapping, reasonerFactory, ruleSet, unionModel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StardogModelAssembler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `addContent(Resource root, Model m, Content c)`
  `protected Model`
  `openEmptyModel(Assembler a, Resource root, Mode mode)`

  ### Methods inherited from class org.apache.jena.assembler.assemblers.ModelAssembler

  `addPrefixes, getContent, getInitialContent, open, openModel, openModel`

  ### Methods inherited from class org.apache.jena.assembler.assemblers.AssemblerBase

  `checkType, getOptionalClassName, getRequiredLiteral, getRequiredResource, getResource, getString, getUnique, getUniqueLiteral, getUniqueResource, getUniqueStatement, getUniqueString, loadClass, open, open, openModel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.jena.assembler.Assembler

  `open, open, openModel`

- ## Constructor Details

  - ### StardogModelAssembler

    public StardogModelAssembler()

- ## Method Details

  - ### openEmptyModel

    protected Model openEmptyModel(Assembler a, Resource root, Mode mode)
    Specified by:
      `openEmptyModel` in class `ModelAssembler`

  - ### addContent

    protected void addContent(Resource root, Model m, Content c)
    Overrides:
      `addContent` in class `ModelAssembler`